[package]
name = "microformats"
description = "A union library of Microformats types and parser."
documentation = "https://docs.rs/microformats"
edition.workspace = true
rust-version.workspace = true
license.workspace = true
repository.workspace = true
homepage.workspace = true
publish.workspace = true
version = "0.15.0"

[dependencies]
atom_syndication = { version = "0.12.4", optional = true, features = [
	"builders",
] }
http = { version = "1.1.0", optional = true }
lazy_static = "1.5"
microformats-types = { path = "../types", version = "0" }
regex = "1.10"
serde.workspace = true
serde_json.workspace = true
swc_common = { version = "=0.33.26", features = [] }
swc_html_ast = { version = "=0.33.21", features = ["serde"] }
swc_html_codegen = { version = "=0.42.28" }
swc_html_parser = { version = "=0.39.27" }
thiserror.workspace = true
time.workspace = true
tracing.workspace = true
tracing-forest = "0.1.6"
tracing-unwrap = { version = "1.0" }
url.workspace = true

[dev-dependencies]
tracing-test = { version = "0" }
yare = { version = "3" }
similar-asserts = { version = "1", features = ["serde", "unicode"] }

[lints]
workspace = true

[features]
default = ["http", "atom_syndication"]
http = ["dep:http"]
atom_syndication = ["dep:atom_syndication"]
